fop 1.1

## org.apache.fop.render.txt.border
Class BorderManager

    java.lang.Object
      org.apache.fop.render.txt.border.BorderManager

    public class BorderManager

extends java.lang.Object

This keeps all information about borders for current processed page.

Constructor Summary
`BorderManager(int pageWidth, int pageHeight, TXTState state)` Constructs BorderManger, using `pageWidth` and `pageHeight` for creating `borderInfo`.

Method Summary
`void` `addBorderElement(int x, int y, int style, int type)` Adds border element to `borderInfo`.
`java.lang.Character` `getCharacter(int x, int y)`
`int` `getHeight()`
`int` `getStartX()`
`int` `getStartY()`
`int` `getWidth()`
`void` `setHeight(int height)` Sets height of current processed border.
`void` `setStartX(int startX)` Sets x-coordinate of upper left point of current processed border.
`void` `setStartY(int startY)` Sets y-coordinate of upper left point of current processed border.
`void` `setWidth(int width)` Sets width of current processed border.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderManager

    public BorderManager(int pageWidth,
                         int pageHeight,
                         TXTState state)

  Constructs BorderManger, using `pageWidth` and `pageHeight` for creating `borderInfo`.

  Parameters:
    `pageWidth` - page width
    `pageHeight` - page height
    `state` - TXTState

Method Detail

### addBorderElement

    public void addBorderElement(int x,
                                 int y,
                                 int style,
                                 int type)

  Adds border element to `borderInfo`.

  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `style` - border-style
    `type` - border element type, binary representation of wich gives information about availability or absence of corresponding side.

### getCharacter

    public java.lang.Character getCharacter(int x,
                                            int y)

  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
  Returns:
    if border element at point (x,y) is available, returns instance of Character, created on char, given by corresponding border element, otherwise returns null.

### getWidth

    public int getWidth()

  Returns:
    width of current processed border.

### setWidth

    public void setWidth(int width)

  Sets width of current processed border.

  Parameters:
    `width` - width of border

### getHeight

    public int getHeight()

  Returns:
    height of current processed border.

### setHeight

    public void setHeight(int height)

  Sets height of current processed border.

  Parameters:
    `height` - height of border

### getStartX

    public int getStartX()

  Returns:
    x-coordinate of upper left point of current processed border.

### setStartX

    public void setStartX(int startX)

  Sets x-coordinate of upper left point of current processed border.

  Parameters:
    `startX` - x-coordinate of upper left border's point.

### getStartY

    public int getStartY()

  Returns:
    y-coordinate of upper left point of current processed border.

### setStartY

    public void setStartY(int startY)

  Sets y-coordinate of upper left point of current processed border.

  Parameters:
    `startY` - y-coordinate of upper left border's point.

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.